%define anolis_release 2

%bcond_with tests

Name:           python-zc-lockfile
Version:        3.0
Release:        %{anolis_release}%{dist}

Summary:        Basic Inter-Process Locks
License:        ZPLv2.1
URL:            https://pypi.io/project/zc.lockfile/
Source0:        https://github.com/zopefoundation/zc.lockfile/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
The zc.lockfile package provides a basic portable implementation of\
interprocess locks using lock files. The purpose if not specifically\
to lock files, but to simply provide locks with an implementation based\
on file-locking primitives. Of course, these locks could be used to\
mediate access to other files. For example, the ZODB file storage\
implementation uses file locks to mediate access to file-storage\
database files. The database files and lock file files are separate files.

%description %_description

%package -n python3-zc-lockfile
Summary:        Basic Inter-Process Locks

%description -n python3-zc-lockfile
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically
to lock files, but to simply provide locks with an implementation based
on file-locking primitives. Of course, these locks could be used to
mediate access to other files. For example, the ZODB file storage
implementation uses file locks to mediate access to file-storage
database files. The database files and lock file files are separate files.

%package -n python3-zc-lockfile-doc
Summary:        Documentation files for python3-zc-lockfile
Requires:       python3-zc-lockfile = %{EVR}
BuildArch:      noarch

%description -n python3-zc-lockfile-doc
The python3-zc-lockfile-doc package contains documentation files for python3-zc-lockfile.

%prep
%setup -q -n zc.lockfile-%{version}

%build
%py3_build

%install
%py3_install
rm -f %{buildroot}%{python3_sitelib}/zc/lockfile/*.txt

%check
%if %{with tests}
%{__python3} setup.py test
%endif

%files -n python3-zc-lockfile
%{python3_sitelib}/zc.lockfile-*.egg-info
%{python3_sitelib}/zc.lockfile-*-nspkg.pth
%{python3_sitelib}/zc/lockfile/
%dir %{python3_sitelib}/zc/

%files -n python3-zc-lockfile-doc
%doc CONTRIBUTING.md README.rst CHANGES.rst

%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.0-2
- Rebuild with python3.11

* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.0-1
- Init package from upstream
